Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibems.ufo
Class TibjmsUFOTopicConnection

    java.lang.Object
      com.tibco.tibems.ufo.TibjmsUFOConnection
          com.tibco.tibems.ufo.TibjmsUFOTopicConnection

All Implemented Interfaces:
  Connection, TopicConnection

    public class TibjmsUFOTopicConnection

extends TibjmsUFOConnection
implements TopicConnection

Method Summary
`ConnectionConsumer` | `createConnectionConsumer(Topic topic, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)` Creates a connection consumer for this connection (optional operation).
`ConnectionConsumer` | `createDurableConnectionConsumer(Topic topic, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)` Create a durable connection consumer for this connection (optional operation).
`TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)` Creates a `TopicSession` object.

Methods inherited from class com.tibco.tibems.ufo.TibjmsUFOConnection
`close, createConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, recoverConnection, setClientID, setExceptionListener, start, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Method Detail

### createTopicSession

    public TopicSession createTopicSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws JMSException

  Description copied from interface: `TopicConnection`
  Creates a `TopicSession` object.

  Specified by:
    `createTopicSession` in interface `TopicConnection`
  Parameters:
    `transacted` - indicates whether the session is transacted
    `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; ignored if the session is transacted. Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, and `Session.DUPS_OK_ACKNOWLEDGE`.
  Returns:
    a newly created topic session
  Throws:
    `JMSException` - if the `TopicConnection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
  See Also:
    `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

### createConnectionConsumer

    public ConnectionConsumer createConnectionConsumer(Topic topic,
                                                       java.lang.String messageSelector,
                                                       ServerSessionPool sessionPool,
                                                       int maxMessages)
                                                throws JMSException

  Description copied from interface: `TopicConnection`
  Creates a connection consumer for this connection (optional operation). This is an expert facility not used by regular JMS clients.

  Specified by:
    `createConnectionConsumer` in interface `TopicConnection`
  Parameters:
    `topic` - the topic to access
    `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
    `sessionPool` - the server session pool to associate with this connection consumer
    `maxMessages` - the maximum number of messages that can be assigned to a server session at one time
  Returns:
    the connection consumer
  Throws:
    `JMSException` - if the `TopicConnection` object fails to create a connection consumer due to some internal error or invalid arguments for `sessionPool` and `messageSelector`.
    `InvalidDestinationException` - if an invalid topic is specified.
    `InvalidSelectorException` - if the message selector is invalid.
  See Also:
    `ConnectionConsumer`

### createDurableConnectionConsumer

    public ConnectionConsumer createDurableConnectionConsumer(Topic topic,
                                                              java.lang.String subscriptionName,
                                                              java.lang.String messageSelector,
                                                              ServerSessionPool sessionPool,
                                                              int maxMessages)
                                                       throws JMSException

  Description copied from interface: `Connection`
  Create a durable connection consumer for this connection (optional operation). This is an expert facility not used by regular JMS clients.

  Specified by:
    `createDurableConnectionConsumer` in interface `Connection`
  Specified by:
    `createDurableConnectionConsumer` in interface `TopicConnection`
  Overrides:
    `createDurableConnectionConsumer` in class `TibjmsUFOConnection`
  Parameters:
    `topic` - topic to access
    `subscriptionName` - durable subscription name
    `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
    `sessionPool` - the server session pool to associate with this durable connection consumer
    `maxMessages` - the maximum number of messages that can be assigned to a server session at one time
  Returns:
    the durable connection consumer
  Throws:
    `JMSException` - if the `Connection` object fails to create a connection consumer due to some internal error or invalid arguments for `sessionPool` and `messageSelector`.
    `InvalidDestinationException` - if an invalid destination is specified.
    `InvalidSelectorException` - if the message selector is invalid.
  See Also:
    `ConnectionConsumer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved